Hébergeur LWS.

Gagner des Bitcoins.

Le HackerSpace Vision du web.
La réponse collaborative.
Le glider des Hackers.
Un symbole de rassemblement.
QWERTY.
Du clavier au terminal.
GNU / Linux Debian.
La distribution universelle.
GNU / Linux Ubuntu.
Linux pour les êtres humains.
GNU / Linux Arch.
Un Linux léger et flexible.
Nom de code Linux.
Documentaire FR.
HackerSpace !
Messagerie entre membres connectés.

Vous n´êtes pas identifié(e).

Nous avons 97 invités et aucun membre en ligne

 

TinyMCE

Editeur de texte wysiwyg TinyMCE

Comment intégrer du JavaScript dans un article Joomla! avec l'éditeur TinyMCE  ?

 

TinyMCE 3.4.6 est l'éditeur de texte par défaut de Joomla! 1.5

Télécharger l'éditeur de texte TinyMCE 3.4.6 dans sa dernière version stable pour Joomla! 1.5 : ICI
Télécharger le pack de langues pour toutes les versions de TinyMCE : ICI

Une fois le plugin de TinyMCE 3.4.6 téléchargé, la version de TinyMCE présente par défaut sur Joomla! 1.5 peut être mise à jour.
Utilisez le menu Extensions/Installer de Joomla! Installer le pack téléchargé sur votre ordinateur.
Vous devez alors activer le plugin TinyMCE 3.4.6 dans Joomla!
TinyMCE est maintenant à jour et fonctionnel.

Il faut encore indiquer à Joomla! quel éditeur de texte utiliser :
Administration de Joomla! 1.5.22 : Onglet Site -> Configuration générale -> Editeur WYSIWYG par défaut : sélectionner "aucun" ou "TinyMCE 3".

Un bouton en haut de l'éditeur de texte TinyMCE permet d'éditer la source HTML de l'article pour insérer du code HTML.
L'éditeur TinyMCE 3.4.6 a ses limites. Il ne permet pas d'ajouter du code PHP ou JavaScript à l'article.
Pour des raisons de sécurité les balises PHP et JavaScript sont modifiées à l'enregistrement de l'article, et de ce fait non interprétées. Il n'est donc pas possible d'ajouter du code PHP ou JavaScript avec TinyMCE.

Les plugins de TinyMCE, notamment pour télécharger et gérer des images sur le serveur, sont payant.

 

De nombreux bogues avec TinyMCE 3.4.6

Les images ne peuvent plus être alignées à gauche. C'est un problème connu de l'éditeur TinyMCE qui n'a jamais été résolu.

Avec la version du navigateur Internet Explorer 9 et son interprétation du HTML5 et du CSS3, les fonctions des boutons " sauvegarder " et " fermer " un article sont bogués. Le mode compatibilité de Internet Explorer 9 permet encore d'utiliser les boutons, mais la navigation générale est largement dégradée.

 

TinyMCE évolue pour Joomla! 2.5 et 3.x

Télécharger la dernière version stable de TinyMCE : ICI
Je n'ai pas testé TinyMCE depuis les versions de Joomla! 1.5.x.
D'autres solutions pour éditer du texte ont été développées sur le même modèle que TinyMCE.

 

Conclusion

TinyMCE pour Joomla! 1.5 est obsolète !
TinyMCE doit être désinstallé et remplacé par JCE, plus performant et également mieux adapté pour les intégrateurs de contenu HTML, PHP et JavaScript.

Pour désactiver l'éditeur de texte TinyMCE 3.4.6 :
Administration de Joomla! 1.5.22 : Onglet Site -> Configuration générale -> Editeur WYSIWYG par défaut : sélectionner "aucun" ou "JCE".

 

Bibliographie

Source de l'article : Upgrade TinyMCE editor plugin in Joomla! 1.5 : ICI
Télécharger le pack de langues en français : ICI
L'éditeur JCE pour Joomla! 1.5 (Obsolète) : ICI

REMARQUE ! Ce site utilise des cookies et autres technologies similaires.

Si vous ne changez pas les paramètres de votre navigateur, vous êtes d'accord. En savoir plus

J'ai compris

En poursuivant votre navigation sur ce site, vous acceptez l’utilisation de Cookies pour vous proposer un accès membre personnalisé et réaliser des statistiques de visites.

Vision du web sur votre réseau social

Ils ont essayé de nous enterrer.
Ils ne savaient pas que nous étions des graines.
[Proverbe mexicain]